<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9052
Name: Contactafspraak
Description: Het bouwsteentype Contactmoment hoort bij elke situatie waarbij een patiënt contact heeft gehad met een zorgverlener in het kader van diagnostiek of behandeling. Dit komt globaal overeen met het HL7v3 concept van een Encounter. Een Encounter kan echter betrekking hebben op een klinische opname of dagopname, terwijl het Contactmoment zoals bedoeld in de data set Ketenzorg betrekking heeft op ambulante contacten (d.w.z. contacten waarbij de patiënt de zorginstelling bezoekt, maar er geen bed heeft gebruikt). 
 Verdere informatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815">
   <title>Contactafspraak</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9052
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]
Item: (Contactafspraak)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9052
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]
Item: (Contactafspraak)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]"
         id="d40e9886-false-d67971e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="string(@classCode) = ('ENC')">(Contactafspraak): de waarde van classCode MOET 'ENC' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="string(@moodCode) = ('APT')">(Contactafspraak): de waarde van moodCode MOET 'APT' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']) &gt;= 1">(Contactafspraak): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']) &lt;= 1">(Contactafspraak): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(Contactafspraak): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(Contactafspraak): element hl7:id[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]) &gt;= 1">(Contactafspraak): element hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]) &lt;= 1">(Contactafspraak): element hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:text) &lt;= 1">(Contactafspraak): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(Contactafspraak): element hl7:effectiveTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(Contactafspraak): element hl7:effectiveTime[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9052
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']
Item: (Contactafspraak)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']"
         id="d40e9898-false-d68091e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Contactafspraak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.111.3.3.10.9052')">(Contactafspraak): de waarde van root MOET '2.16.840.1.113883.2.4.3.111.3.3.10.9052' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9052
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:id[not(@nullFlavor)]
Item: (Contactafspraak)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:id[not(@nullFlavor)]"
         id="d40e9903-false-d68110e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Contactafspraak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9052
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]
Item: (Contactafspraak)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]"
         id="d40e9911-false-d68125e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CV')">(Contactafspraak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem]])">(Contactafspraak): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.103.11.3 NHG-Tabel 14 - ContactType (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9052
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:text
Item: (Contactafspraak)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:text"
         id="d40e9922-false-d68149e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Contactafspraak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9052
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Contactafspraak)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d40e9930-false-d68162e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(Contactafspraak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:low) &gt;= 1">(Contactafspraak): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:low) &lt;= 1">(Contactafspraak): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:high) &lt;= 1">(Contactafspraak): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9052
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low
Item: (Contactafspraak)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low"
         id="d40e9937-false-d68199e0">
      <extends rule="TS.DATE.MIN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(Contactafspraak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="not(*)">(Contactafspraak): <value-of select="local-name()"/> met datatype TS.DATE.MIN, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9052
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (Contactafspraak)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high"
         id="d40e9939-false-d68216e0">
      <extends rule="TS.DATE.MIN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(Contactafspraak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="not(*)">(Contactafspraak): <value-of select="local-name()"/> met datatype TS.DATE.MIN, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9052
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]
Item: (Contactafspraak)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]"
         id="d40e9942-false-d68249e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="string(@typeCode) = ('PRF') or not(@typeCode)">(Contactafspraak): de waarde van typeCode MOET 'PRF' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:assignedEntity[not(@nullFlavor)]) &gt;= 1">(Contactafspraak): element hl7:assignedEntity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:assignedEntity[not(@nullFlavor)]) &lt;= 1">(Contactafspraak): element hl7:assignedEntity[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9052
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]
Item: (Contactafspraak)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]"
         id="d40e9951-false-d68311e0">
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test=".//hl7:assignedPerson/hl7:name[not(@nullFlavor)]">(Contactafspraak): Artsnaam is verplicht</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(Contactafspraak): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(Contactafspraak): element hl7:id[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(Contactafspraak): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:assignedPerson) &lt;= 1">(Contactafspraak): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="count(hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]) &lt;= 1">(Contactafspraak): element hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9052-2021-07-08T141815.html"
              test="hl7:assignedPerson | hl7:representedOrganization">(Contactafspraak): Er moet tenminste een persoon of vertegenwoordigende organisatie zijn. Element assignedPerson of representedOrganization moet voorkomen</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:id[not(@nullFlavor)]
Item: (kezo-CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:id[not(@nullFlavor)]"
         id="d68381e11-false-d68389e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(kezo-CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (kezo-CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d68381e20-false-d68404e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CV')">(kezo-CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(kezo-CDAAssignedEntity): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:addr
Item: (kezo-CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:addr"
         id="d68381e30-false-d68428e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(kezo-CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:telecom
Item: (kezo-CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:telecom"
         id="d68381e34-false-d68441e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(kezo-CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPerson
Item: (kezo-CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPerson"
         id="d68381e46-false-d68456e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(kezo-CDAAssignedEntity): de waarde van classCode MOET 'PSN' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(kezo-CDAAssignedEntity): de waarde van determinerCode MOET 'INSTANCE' zijn. Gevonden: "<value-of select="@determinerCode"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9001
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPerson/hl7:name"
         id="d68481e14-false-d68489e0">
      <extends rule="PN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9001-2013-12-22T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(CDAPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]
Item: (kezo-CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]"
         id="d68381e58-false-d68509e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(kezo-CDAAssignedEntity): de waarde van classCode MOET 'ORG' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(kezo-CDAAssignedEntity): de waarde van determinerCode MOET 'INSTANCE' zijn. Gevonden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="count(hl7:id[@root = '2.16.528.1.1007.3.3']) &gt;= 1">(kezo-CDAAssignedEntity): element hl7:id[@root = '2.16.528.1.1007.3.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="count(hl7:id[@root = '2.16.528.1.1007.3.3']) &lt;= 1">(kezo-CDAAssignedEntity): element hl7:id[@root = '2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="count(hl7:name) &gt;= 1">(kezo-CDAAssignedEntity): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="count(hl7:name) &lt;= 1">(kezo-CDAAssignedEntity): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="count(hl7:addr) &lt;= 1">(kezo-CDAAssignedEntity): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2019-01-09T000000.html"
              test="count(hl7:standardIndustryClassCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.2.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(kezo-CDAAssignedEntity): element hl7:standardIndustryClassCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.2.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]/hl7:id[@root = '2.16.528.1.1007.3.3']
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]/hl7:id[@root = '2.16.528.1.1007.3.3']"
         id="d68588e16-false-d68596e0">
      <extends rule="II.NL.URA"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="string(@root) = ('2.16.528.1.1007.3.3')">(CDAOrganization): de waarde van root MOET '2.16.528.1.1007.3.3' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]/hl7:id
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]/hl7:id"
         id="d68588e24-false-d68615e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]/hl7:name
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]/hl7:name"
         id="d68588e32-false-d68628e0">
      <extends rule="ON"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]/hl7:telecom
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]/hl7:telecom"
         id="d68588e36-false-d68641e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]/hl7:addr
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]/hl7:addr"
         id="d68588e41-false-d68654e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]/hl7:standardIndustryClassCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.2.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization[hl7:id[@root = '2.16.528.1.1007.3.3']]/hl7:standardIndustryClassCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.2.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d68588e43-false-d68669e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.2.3-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(CDAOrganization): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.40.2.17.2.3 OrganisatieTypeCodelijst (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.33
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[hl7:code[@code = 'CONC'][@codeSystem = '2.16.840.1.113883.5.6']]]
Item: (partConcernReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[hl7:code[@code = 'CONC'][@codeSystem = '2.16.840.1.113883.5.6']]]"
         id="d68687e10-false-d68693e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.33-2017-12-21T124050.html"
              test="string(@typeCode) = ('REFR')">(partConcernReference): de waarde van typeCode MOET 'REFR' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.33-2017-12-21T124050.html"
              test="count(hl7:act[hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]]) &gt;= 1">(partConcernReference): element hl7:act[hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.33-2017-12-21T124050.html"
              test="count(hl7:act[hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]]) &lt;= 1">(partConcernReference): element hl7:act[hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.33
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[hl7:code[@code = 'CONC'][@codeSystem = '2.16.840.1.113883.5.6']]]/hl7:act[hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]]
Item: (partConcernReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[hl7:code[@code = 'CONC'][@codeSystem = '2.16.840.1.113883.5.6']]]/hl7:act[hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]]"
         id="d68687e28-false-d68723e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.33-2017-12-21T124050.html"
              test="string(@classCode) = ('ACT')">(partConcernReference): de waarde van classCode MOET 'ACT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.33-2017-12-21T124050.html"
              test="string(@moodCode) = ('EVN')">(partConcernReference): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.33-2017-12-21T124050.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(partConcernReference): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.33-2017-12-21T124050.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(partConcernReference): element hl7:id[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.33-2017-12-21T124050.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &gt;= 1">(partConcernReference): element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.33-2017-12-21T124050.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &lt;= 1">(partConcernReference): element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.33
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[hl7:code[@code = 'CONC'][@codeSystem = '2.16.840.1.113883.5.6']]]/hl7:act[hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]]/hl7:id[not(@nullFlavor)]
Item: (partConcernReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[hl7:code[@code = 'CONC'][@codeSystem = '2.16.840.1.113883.5.6']]]/hl7:act[hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]]/hl7:id[not(@nullFlavor)]"
         id="d68687e40-false-d68774e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.33-2017-12-21T124050.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(partConcernReference): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.33
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[hl7:code[@code = 'CONC'][@codeSystem = '2.16.840.1.113883.5.6']]]/hl7:act[hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]
Item: (partConcernReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.9052']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[hl7:code[@code = 'CONC'][@codeSystem = '2.16.840.1.113883.5.6']]]/hl7:act[hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]"
         id="d68687e50-false-d68787e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.33-2017-12-21T124050.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CV')">(partConcernReference): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/ho-vzvz-html-20211231T154035/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.33-2017-12-21T124050.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(partConcernReference): de elementwaarde MOET een zijn van 'code 'CONC' codeSystem '2.16.840.1.113883.5.6''.</assert>
   </rule>
</pattern>
